Bug 206124 - Incorrect calculation of space required for installation
Incorrect calculation of space required for installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-12 05:17 EDT by QingLong
Modified: 2008-08-08 13:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-08 10:33:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description QingLong 2006-09-12 05:17:56 EDT
Description of problem:
It looks like FC5 installer calculates space required for installation
in a very simple manner: e.g. it attributes all /usr/* files to the /usr/
filesystem despite there are other filesystems mounted under the /usr/
(e.g. /usr/share/ and/or /usr/lib/).

Version-Release number of selected component (if applicable):
Actually I doubt that this bug should be attributed to anaconda,
but there is no `Fedora Core installer' item in the bugzilla menu.

How reproducible:
100%

Steps to Reproduce:
1. Start FC5 installation process.
2. Create (rather large) separate partition for /usr/share/
   and /usr/ partition of size not enough to hold all to be installed files,
   but it should be large enough for those files except those that
   go to the /usr/share/.
3. Select packages in accordance with the previous item.
  
Actual results:
FC5 installation process refuses to start the installation
claiming there is not enough space in /usr/.

Expected results:
As the /usr/+/usr/share/ union does have enough space for the files
to be installed the installation should proceed successfully.

Additional info:
Comment 1 Red Hat Bugzilla 2007-08-21 01:25:54 EDT
User pnasrat@redhat.com's account has been closed
Comment 2 Bug Zapper 2008-04-03 23:42:02 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 QingLong 2008-04-08 08:52:15 EDT
>
> We strongly encourage you to upgrade to a current Fedora release.
>
   To my regret I cannot upgrade to a later Fedora release as since Fedora 7
PATA disks are always treated as SCSI via ide-scsi emulation
and SCSI disks cannot contain more than 15 partitions,
while I do have more than twenty of them.
It seems I should have to switch to some other Linux distribution.

BTW, I have tried to install Fedora 9 beta on to another machine
and have come across a similar problem, now with /var/ and /var/*/ filesystems.
So the bug is still there.
Comment 4 Joel Andres Granados 2008-05-09 08:22:55 EDT
Are you talking about the default partition layout in f9?  The default layout
for f9 does not consider the var directory.  It simply has a boot partition, a
swap lv and a "/" lv.
If you want to create different mountpoints at install time you must customize
them,  anaconda only gives you the minimum size of a partition/lv/.... that is
100Mb, or rest of the disk in lvms case.
This is the preferred behavior since we don't really know what you want to
install at that point.  The users must customize the size as they see fit.
please confirm if this bug refers to the default values of the partitioning step
as there is a bug already addressing this issue.
Comment 5 QingLong 2008-05-12 03:05:49 EDT
NO!
I am not talking about efault partition layout.
I do never use that lame layout.
Read the original text of the bug report, pls, a bit more attentively,
it says it all quite clear.
Comment 6 Bug Zapper 2008-05-13 22:21:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Andy Lindeberg 2008-08-08 10:33:33 EDT
This should be fixed in Rawhide. Please reopen this bug if you find that it continues to be a problem.

Note You need to log in before you can comment on or make changes to this bug.